﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Threading;

namespace $safeprojectname$
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.ThreadException +=
                new ThreadExceptionEventHandler(Application_ThreadException);

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // TODO アプリケーションのルートとなるフォームを作成します。
            Form1 applicationForm = new Form1();
            applicationForm.Init(null);

            Application.Run(applicationForm);
        }

        /// <summary>
        /// アプリケーションコードから処理されない例外をハンドルするメソッドです。
        /// </summary>
        /// <remarks>
        /// <para>
        /// アプリケーションでは、catchされない例外は全てこの例外ハンドラによって
        /// 処理されます。
        /// </para>
        /// <para>
        /// デフォルトでは例外のメッセージをダイアログボックスに表示します。
        /// </para>
        /// </remarks>
        /// <param name="Sender">イベントのソース。</param>
        /// <param name="e">例外ブロックに渡される例外クラス。</param>
        static void Application_ThreadException(object sender, ThreadExceptionEventArgs e)
        {
            // TODO グローバル例外ハンドルブロックを作成します。
            MessageBox.Show(e.Exception.ToString(), "例外", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }
    }
}